Enrollment
Enrollment Details of Trainee
Use this API to get enrollment details of a Trainee.
GET /enrollment/{userId}/detail Try now
Path parameters
| Field | Type | Description |
|---|---|---|
| userId required | integer | A single user ID |
Query string parameters
| Field | Type | Description |
|---|---|---|
| type required | integer | Enrollment Type. 1-course, 2-learning object, 3-learning path |
| status required | integer | Enrollment Status. 1-upcoming/ongoing, 2-concluded. |
| firstRecord required | integer | First record to return. Default: 1 |
| count required | integer | Number of records to be returned starting from the first record. Default: 20, Max count limit: 100 |
| q | string | Filter data by courseCode, title |
For general error details, click here.
- Response
- Schema
- Error Codes
{
"success": true,
"data": {
"response": {
"acknowledgement": "Success",
"data": {
"list": [
{
"enrollmentId": 18922,
"courseId": 1342,
"title": "Social Entrepreneurship",
"courseCode": "SE1",
"description": "<p>A course on Social Entrepreneurship</p>",
"trainerId": 2,
"trainer": "Rajesh Kumar",
"startDate": "2023-02-22",
"endDate": "2025-02-21",
"progress": "100",
"firstTimeViewedDate": "2023-02-22 16:54:11",
"thumbnail": "https://lms.exampls.com/thumbnail/xyz.png",
"isForumEnabled": false,
"status": "Completed",
"courseType": "SINGLE_SUBJECT",
"showTrainerName": true,
"certificate": null,
"subjectList": null,
"isWebinarMeeting": false,
"webinarMeetingData": null,
"isEligibleForExtention": false,
"extentionMessage": null,
"isQueryEnabled": true
}
],
"totalRecords": 11
},
"error": {
"code": "",
"internal_message": "",
"moreInfo": []
}
}
}
}
| Field | Type | Description |
|---|---|---|
| enrollmentId | number | ID of the enrollment. |
| courseId | number | ID of the course. |
| title | string | Title of the course. |
| courseCode | string | Code of the course. |
| description | string | Description of the course. |
| trainerId | number | ID of the trainer. |
| trainer | string | Name of the trainer. |
| startDate | string | Start date of the course. |
| endDate | string | End date of the course. |
| progress | string | Progress percentage of the course. |
| firstTimeViewedDate | string | Date when the course was first viewed. |
| thumbnail | string | URL of the course thumbnail image. |
| isForumEnabled | boolean | Indicates whether the forum is enabled for the course. |
| status | string | Status of the course (Ongoing, Completed, etc.). |
| courseType | string | Type of the course (SINGLE_SUBJECT or MULTI_SUBJECT). |
| showTrainerName | boolean | Indicates whether to show the trainer's name. |
| certificate | object | Certificate information (date and URL) if available. |
| subjectList | array | Array of subject objects (for MULTI_SUBJECT courses). |
| isWebinarMeeting | boolean | Indicates whether webinar meetings are enabled. |
| webinarMeetingData | object | Webinar meeting data if available. |
| isEligibleForExtention | boolean | Indicates whether the course is eligible for extension. |
| extentionMessage | string | Message related to course extension (if applicable). |
| isQueryEnabled | boolean | Indicates whether queries are enabled for the course. |
| totalRecords | number | Total number of users. |
| Code | Description |
|---|---|
| 1001 | "Missing userId" |
| 1002 | "Invalid userId" |
| 1003 | "Missing enrollment type" |
| 1004 | "Invalid enrollment type" |
| 1005 | "Invalid firstRecord" |
| 1006 | "Invalid count" |
| 1007 | "Missing enrollment status" |
| 1008 | "Invalid enrollment status" |
Check Enrollment Eligibility
Use this API to check if Trainee is eligible for enrollment. This end point should be used before actual enrollment is processed.
POST /enrollment/{userId}/validate Try now
Path parameters
| Field | Type | Description |
|---|---|---|
| userId required | integer | A single user ID |
Request body parameters
| Field | Type | Description |
|---|---|---|
| type required | integer | Enrollment Type: 1-course |
| enrollmentData required | JSON Array | EnrollmentData:
|
For general error details, click here.
- enrollmentData
{
"sourceId": 1425,
"startDate": "2023-06-13",
"endDate": "2023-06-20"
}
- Response
- Schema
- Error Codes
{
"success": true,
"data": {
"response": {
"acknowledgement": "Success",
"data": {
"eligibleForEnrollment": true,
"sourceInfo": {
"startDate": "2023-06-13",
"endDate": "2023-06-20",
"duration": "30"
}
},
"error": {
"code": "",
"internal_message": "",
"moreInfo": []
}
}
}
}
| Field | Type | Description |
|---|---|---|
| eligibleForEnrollment | boolean | True OR False |
| Code | Description |
|---|---|
| 1003 | "Missing type" |
| 1004 | "Invalid type" |
| 1007 | "Missing enrollment status" |
| 1008 | "Invalid enrollment status" |
| 1013 | "Missing enrollment data" |
| 1014 | "Invalid enrollment data" |
| 1015 | "Missing sourceId" |
| 1016 | "Invalid sourceId" |
| 1017 | "Missing startDate" |
| 1018 | "Invalid startDate" |
| 1019 | "Missing endDate" |
| 1020 | "Invalid endDate" |
| 1021 | "User already enrolled" |
| 1022 | "Not eligible for enrollment" |
Enroll Trainee
Use this API to enroll a Trainee to a Course. This end point is only accessible by Admin or Manager role.
POST /enrollment/{userId}/create Try now
Path parameters
| Field | Type | Description |
|---|---|---|
| userId required | integer | A single user ID |
Request body parameters
| Field | Type | Description |
|---|---|---|
| type required | integer | Enrollment Type: 1-course |
| enrollmentData required | JSON Array | EnrollmentData:
|
| emailNotification required | integer | 0: Do Not Notify 1: Send Email Notification |
| q | string | filter data by title and code |
For general error details, click here.
- enrollmentData
{
"sourceId": 1425,
"startDate": "2023-06-13",
"endDate": "2023-06-20"
}
- Response
- Schema
- Error Codes
{
"success": true,
"data": {
"response": {
"acknowledgement": "Success",
"data": {
"enrollmentId": 772386
},
"error": {
"code": "",
"internal_message": "",
"moreInfo": []
}
}
}
}
| Field | Type | Description |
|---|---|---|
| enrollmentId | integer | ID of the enrollment. |
| Code | Description |
|---|---|
| 1003 | "Missing type" |
| 1004 | "Invalid type" |
| 1013 | "Missing enrollment data" |
| 1014 | "Invalid enrollment data" |
| 1015 | "Missing sourceId" |
| 1016 | "Invalid sourceId" |
| 1017 | "Missing startDate" |
| 1018 | "Invalid startDate" |
| 1019 | "Missing endDate" |
| 1020 | "Invalid endDate" |
| 1021 | "User already enrolled" |
| 1022 | "Not eligible for enrollment" |
| 1007 | "Missing enrollment status" |
| 1008 | "Invalid enrollment status" |
Request Course Extension
Use this API to request course extension.
GET /enrollment/{enrollmentId}/request-extention Try now
Path parameters
| Field | Type | Description |
|---|---|---|
| enrollmentId required | integer | Enrollment ID |
For general error details, click here.
- Response
- Schema
- Error Codes
{
"success": true,
"data": {
"response": {
"acknowledgement": "Success",
"data": true,
"error": {
"code": "",
"internal_message": "",
"moreInfo": []
}
}
}
}
| Field | Type | Description |
|---|---|---|
| data | boolean | True OR False |
| Code | Description |
|---|---|
| 1009 | "Not eligible for extention" |